Contents

# Atn Function

Kiirote handaara digaanatanjente qolanno Trigonometrikete assishsha. Higgino hornyo -Pi/2 nni +Pi/2 hakkigeeshsho ikkanno.

The arctangent is the inverse of the tangent function. The Atn Function returns the angle "Alpha", expressed in radians, using the tangent of this angle. The function can also return the angle "Alpha" by comparing the ratio of the length of the side that is opposite of the angle to the length of the side that is adjacent to the angle in a right-angled triangle.

Atn(side opposite the angle/side adjacent to angle)= Alpha

### Syntax:

            Atn (Number As Double) As Double

### Return type:

Double

### Parameters:

Number: Any numerical expression that represents the ratio of two sides of a right triangle. The Atn function returns the corresponding angle in radians (arctangent).

Radiyaane digirete wido woleessate, radiyaane 180/pi nni batisi.

digire=(radiyaane*180)/pi

radiyaane=(digire*pi)/180

Pi is here the fixed circle constant with the rounded value 3.14159. Pi is a Basic mathematical constant.

### Error codes:

5 Horiweelo aante woshsho

### Example:

            ' Konni woroonni noo lawishshi rayite-angile sasimidaado shallagganno.
            ' angile Alfa angile Alfa tanjente giddonni:
            Sub ExampleAtn
            ' hara'mino Pi = 3.14159 balaxe tiramino hegeraamoho
            Dim d1 As Double
            Dim d2 As Double
                d1 = EoteSaaxine$ ("Angilete midaadu ajasente seendille eessi: ","Ajesente")
                d2 = EoteSaaxine$ ("Angilete gurcho ikkanno midaadu seendille eessi: ","Gurcho")
                "Alfa angile"; (atn (d2/d1) * 180 / Pi); " digirubba" attami
            End Sub

Fiixoo'mino umo

Cos Function

Sin Function

Tan Function

Please support us!